Composer po update z 1× na 2× maže balíčky

d@rkWolf
Člen | 127
+
0
-

Zdravím, nevím, kde se zeptat, už po tom pátrám nějakou chvíli na Googlu a nic, netuší někdo, v čem může být problém:

Aktualizoval jsem si v systému Composer z verze 1.x na 2.x(bo furt hlásil, že mám starou verzi) a po updatu nelze nainstalovat žádný package.

Composer napíše, že je nainstalováno/updatováno/cokoliv, ale vytvoří jen prázdnou složku(v případě, že updatuju již existující balíček, existující soubory smaže). Vyzkoušel jsem všecky možné nastavení, kontroly, checky, co sem tam našel-bez efektu. Stažené zip balíčky v globální cache Composeru existují, ale do Vendoru projektu se nerozbalí.

Asi hodinu sem se v tom vrtal, hledal chyby po všech čertech, než sem si vzpomněl, že jsem vlastně před pár dny ten Composer updatoval…revertnul jsem zpět na verzi 1.x a zase to funguje, nicméně to úplně neřeší problém.
Před těmi pár dny, kdy jsem ten composer updatoval mi to vůbec nedošlo, že by mohl být problém v něm, po tom, co mi nechtěl fungovat update balíčku(oprava Nette/Application) sem se naštval a udělal to místo toho spuštěním opravného php scriptu.